Eclipse BIRT Report Object Model (ROM)

OdaLevelAttribute Structure

# Structure Overview

Define an attribute for the ODA level element.

### Details

Display Name: | ODA Level Attribute
Since: | 2.2

### Property Summary

dataType
  Data type of the attribute.
name
  Name of the attribute.
nativeDataType
  The native data type code of the attribute.
nativeName
  The native name of the attribute.

### Description

If an ODA level element is defined as 'dynamic' by setting property 'levelType', you can add level attributes applied to it to filter some query result.

# Property Detail

## dataType Property

Data type of the attribute.

### Details

Type: | choice (columnDataType)
Since: | 2.2
Required: | No
Display Name: | Data Type
JavaScript Type: |
Default Value: | string
Runtime Settable: | No

### Choices

Name | Display Name | Value | Description
integer | Integer | integer |
string | String | string |
date-time | Date Time | date-time |
decimal | Decimal | decimal |
float | Float | float |
boolean | Boolean | boolean |
date | Date | date |
time | Time | time |
blob | Blob | blob |
javaObject | Java Object | javaObject |

### Description

This property gives out the data type of the ODA level attribute. If you don't set the value, string is read as the default.

## name Property

Name of the attribute.

### Details

Type: | string
Since: | 2.2
Required: | Yes
Display Name: | Name
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

### Description

This property gives out the name of the ODA level attribute. A level attribute has a unique and required name.

## nativeDataType Property

The native data type code of the attribute.

### Details

Type: | integer
Since: | 2.2
Required: | No
Display Name: | Native Data Type Code
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

### Description

The ODA defined data type code, controlled by the driver.

## nativeName Property

The native name of the attribute.

### Details

Type: | string
Since: | 2.2
Required: | Yes
Display Name: | Native Name
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

### Description

The ODA defined name, controlled by the driver.